You are not logged in.

#1 2011-06-23 11:40:28

omer666
Member
Registered: 2011-01-26
Posts: 70

Firefox 5 => HTML 5 and OSS

Hi !
I've just updated to Firefox 5 and something bothers me a great deal.
As you may know xulrunner is no more required by the firefox package.
Thus, I can no longer choose between xulrunner and xulrunner-oss, and as I expected, I have no sound with HTML 5 content.
What can I do ? I didn't find anything on the subject, and I'm getting pretty bored with that HTML 5 - OSS thing (Chromium doesn't support it either).

Does anybody have a solution ?
Thanks in advance.

Offline

#2 2011-06-23 13:59:01

bwat47
Member
Registered: 2009-10-07
Posts: 637

Re: Firefox 5 => HTML 5 and OSS

omer666 wrote:

Hi !
I've just updated to Firefox 5 and something bothers me a great deal.
As you may know xulrunner is no more required by the firefox package.
Thus, I can no longer choose between xulrunner and xulrunner-oss, and as I expected, I have no sound with HTML 5 content.
What can I do ? I didn't find anything on the subject, and I'm getting pretty bored with that HTML 5 - OSS thing (Chromium doesn't support it either).

Does anybody have a solution ?
Thanks in advance.

I believe xulrunner is now included with the firefox package itself. You may have to recompile firefox with this support yourself.

Offline

#3 2011-06-23 15:22:30

Hyugga
Member
From: Santiago, Chile
Registered: 2010-03-26
Posts: 329

Re: Firefox 5 => HTML 5 and OSS

OK, i don't think i have the same configuratiion you have, but i have no problems with audio, video, or anything in firefox 5. I don't have xulrunner installed since yesterday and everything works fine, flash, html5, etc. Installing all the gstreamer-plugins packages always worked for me (and alsa), so you may want to take a look at those if that fix your problem. I think the gstreamer0.10-good and the gstreamer0.10-good-plugins packages does the trick because it is related in some way with GNOME/GTK (it has some depencencies), and a package called esound.
Good luck.

Offline

#4 2011-06-23 16:34:31

Gusar
Member
Registered: 2009-08-25
Posts: 3,450

Re: Firefox 5 => HTML 5 and OSS

Firefox doesn't and never has used Gstreamer.

There will need to be a firefox-oss package somewhere, that's all there is to it.

Offline

#5 2011-06-24 13:50:19

omer666
Member
Registered: 2011-01-26
Posts: 70

Re: Firefox 5 => HTML 5 and OSS

Hyugga wrote:

Installing all the gstreamer-plugins packages always worked for me (and alsa)

Don't you read the topic before posting ?
I'm using Open Sound System, which means I do not use ALSA at all.
Thanks for trying to help anyway ^^

So is there some option in order to compile Firefox 5 with OSS ?
I browsed the whole Mozilla website and there's nothing about it (or if there was, I didn't find it).

Offline

#6 2011-06-24 14:14:33

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: Firefox 5 => HTML 5 and OSS

@omer666 doesn't something like alsa-oss emulation exists?


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

Board footer

Powered by FluxBB